read.argo {oce} | R Documentation

## Read an Argo data file

### Description

Read an Argo file, producing an object of type `argo`.

### Usage

    read.argo(file, debug=getOption("oceDebug"), processingLog, ...)

### Arguments

`file` | a character string giving the name of the file to load.
`debug` | a flag that turns on debugging. Set to 1 to get a moderate amount of debugging information, or to 2 to get more.
`processingLog` | if provided, the action item to be stored in the log. (Typically only provided for internal calls; the default that it provides is better for normal calls by a user.)
`...` | additional arguments, passed to called routines.

### Details

This reads netCDF formatted ARGO data, as described at [2]

### Value

An object of `class` `"argo"`.

### Author(s)

Dan Kelley

### References

1. http://www.argo.ucsd.edu/

2. http://archimer.ifremer.fr/doc/00187/29825/40575.pdf documents the codes used in the netCDF files.

### See Also

The documentation for `argo-class` explains the structure of argo objects, and also outlines the other functions dealing with them.

### Examples

    ## Not run:
    library(oce)
    d <- read.argo("/data/OAR/6900388_prof.nc")
    summary(d)
    plot(d)

    ## End(Not run)

[Package oce version 0.9-18 Index]